import { observable } from "mobx";
import * as moment from "moment";
import { Base, CourseClassList, User, Video } from "./internal";

export class CourseClass extends Base {
	@observable public id: number;
	@observable public number: number | undefined;
	@observable public title: string | undefined;
	@observable public disabled: boolean | undefined;

	@observable public courseClassList: CourseClassList | undefined;
	@observable public videos: Video[] | undefined;

	@observable public createdAt: moment.Moment | undefined;
	@observable public createdBy: User | undefined;
	@observable public updatedAt: moment.Moment | undefined;
	@observable public updatedBy: User | undefined;
	@observable public deletedAt: moment.Moment | undefined;
	@observable public deletedBy: User | undefined;
}
