import { computed, observable } from "mobx";
import * as moment from "moment";
import { Base } from "./internal";
import { UserRole } from "./UserRole";

export class User extends Base {
	@observable
	public id: number;
	@observable
	public email: string | undefined;
	@observable
	public name: string | undefined;

	@observable
	public roles: UserRole[] | undefined;

	@observable
	public createdAt: moment.Moment | undefined;
	@observable
	public updatedAt: moment.Moment | undefined;
	@observable
	public deletedAt: moment.Moment | undefined;

	@computed
	public get isAdmin() {
		return false; // TODO: implement
	}
}
