import { observable } from "mobx";
import * as moment from "moment";
import { Base, User, VideoQuality } from "./internal";

export class Video extends Base {
	@observable public id: number;
	@observable public name?: string;
	@observable public position?: number | undefined;

	@observable public qualities: VideoQuality[] | undefined;

	@observable public createdAt: moment.Moment | undefined;
	@observable public createdBy: User | undefined;
	@observable public updatedAt: moment.Moment | undefined;
	@observable public updatedBy: User | undefined;
	@observable public deletedAt: moment.Moment | undefined;
	@observable public deletedBy: User | undefined;
}
