import { observable } from "mobx";
import * as moment from "moment";
import { Base, User, Video, VideoFormat } from "./internal";

export class VideoQuality extends Base {
	@observable public id: number;
	@observable public height: number | undefined;
	@observable public width: number | undefined;
	@observable public disabled: boolean | undefined;

	@observable public video: Video | undefined;

	@observable public formats: VideoFormat[] | undefined;

	@observable public createdAt: moment.Moment | undefined;
	@observable public createdBy: User | undefined;
	@observable public updatedAt: moment.Moment | undefined;
	@observable public updatedBy: User | undefined;
	@observable public deletedAt: moment.Moment | undefined;
	@observable public deletedBy: User | undefined;
}
